function aipCreateMediaTags() {
	/*
	 * Initialize variables
	 */
	// accepted media type array
	var mediaArray = new Array();
		/* Youtube and vimeo coverage */
		mediaArray["aip-media-type-youtube"] = Array("video", "youtube"); /* supported */
		mediaArray["aip-media-type-vimeo"] = Array("video", "vimeo"); /* supported */
		
		/* Supported Video - cross browser */
		mediaArray["aip-media-type-mp4"] = Array("video", "video/mp4"); /* TOP supported */
		mediaArray["aip-media-type-m4v"] = Array("video", "video/mp4"); /* TOP supported */
		mediaArray["aip-media-type-f4v"] = Array("video", "video/mp4"); /* TOP supported */
		mediaArray["aip-media-type-mov"] = Array("video", "video/mp4"); /* TOP supported */
		mediaArray["aip-media-type-flv"] = Array("video", "video/flv"); /* supported */
		mediaArray["aip-media-type-webm"] = Array("video", "video/webm"); /* supported */
		
		/* Supported Audio - cross browser */
		mediaArray["aip-media-type-aac"] = Array("audio", "audio/mp4"); /* TOP supported */
		mediaArray["aip-media-type-m4a"] = Array("audio", "audio/mp4"); /* TOP supported */
		mediaArray["aip-media-type-f4a"] = Array("audio", "audio/mp4"); /* TOP supported */
		mediaArray["aip-media-type-mp3"] = Array("audio", "audio/mpeg"); /* TOP supported */
		mediaArray["aip-media-type-ogg"] = Array("audio", "audio/ogg"); /* supported */
		mediaArray["aip-media-type-ogg"] = Array("audio", "audio/ogg"); /* supported */
	
	var count = 0;
		
	$('div.aip-embed-media').each( function () {
		var aipmediaCode = "";
		var aipMedia = $(this)
		var mediaSRC = aipMedia.text();
		var mediaWidth = "420";
		var mediaHeight = "315";
		var mimeType = "";
		var fileType = "";
		var classAlignment = ""; /* default = float left */
		
			//remove spaces if they occur within the source
			mediaSRC = mediaSRC.replace(/\s+/g, '');
			
			// alignment set through css default is left
			if (aipMedia.hasClass("aip-media-align-right")){
				classAlignment = "aip-media-align-right";
			} else if (aipMedia.hasClass("aip-media-align-center")) {
				classAlignment = "aip-media-align-center";
			}
			
			//get size requirement
			if (aipMedia.hasClass("aip-media-size-small")){
				mediaWidth = "250";
				mediaHeight = "188";
			} else if (aipMedia.hasClass("aip-media-size-full")) {
				mediaWidth = "680";
				mediaHeight = "510";
			} 
				

			//checks classes to determine mime type and file type
			for (var key in mediaArray) {
				if (aipMedia.hasClass(key)) {
					mimeType = mediaArray[key][1];
					fileType = mediaArray[key][0];
					/*console.log(mediaArray[key][1]+mediaArray[key][0]);*/
				} 
			}
			
			
			// if blank send warning
			if  (fileType == "") {
				// non-accepted media type array
				//alert("Error: This media type is not supported.");
				
				// insert after media info div
				if (!$(this).next().is("#mediaEmbedCode")){
						$('<div id="mediaEmbedCode"><a href="'+mediaSRC+'" title="Link to Video">'+mediaSRC+'</a></div>').insertAfter(this);
				} else {
					$(this).next().html('<a href="'+mediaSRC+'" title="Link to Video">'+mediaSRC+'</a>');
				}
			}
			
			// else set it up
			if (fileType !== "" && mimeType !== "") {
				if (mimeType == "youtube"){
					aipmediaCode = 	"<iframe width='"+mediaWidth+"' height='"+mediaHeight+"' src='"+mediaSRC+"' frameborder='0' allowfullscreen></iframe>";
				
					// insert after media info div
					if (!$(this).next().is("#mediaEmbedCode")){
							$('<div id="mediaEmbedCode">'+aipmediaCode+'</div>').insertAfter(this);
					} else {
						$(this).next().html(aipmediaCode);
					}
				
				
				} else if (mimeType == "vimeo") {
					aipmediaCode = "<iframe src='"+mediaSRC+"' width="+mediaWidth+" height='"+mediaHeight+"' frameborder='0' webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>"
				
					// insert after media info div
					if (!$(this).next().is("#mediaEmbedCode")){
							$('<div id="mediaEmbedCode">'+aipmediaCode+'</div>').insertAfter(this);
					} else {
						$(this).next().html(aipmediaCode);
					}
				
				} else { //use JW player
					
					playerId = 'mediaEmbedCode'+count;
					aipmediaCode = '<div id="'+playerId+'"></div>';
					
					// insert after media info div
					if (!$(this).next().is("#mediaEmbedCode")){
							$(aipmediaCode).insertAfter(this);
					} else {
						$(this).next().html(aipmediaCode);
					}
					
					count +=1;
					
					
					
					jwplayer(playerId).setup({
				        file: mediaSRC,
				        width: mediaWidth,
				        height: mediaHeight,
				        fallback: false
				    });
				}
				
				//changes alignment if this is set
				if (classAlignment !== "") {
					$(this).next('div[id^="mediaEmbedCode"]').addClass(classAlignment);
					console.log("message2:"+classAlignment);
				}
				
			}
				
		}); //end for each
}


$(document).ready(function(){
	
	/* if this div exists create embed tag */
	if ($('div.aip-embed-media').length) {	
		aipCreateMediaTags();
	}
	
	//whenever you edit, remove the media embed tag
	$('span.blurb-editor').click(function(e){
		if ($('div[id^="mediaEmbedCode"]').length) {	
			$('div[id^="mediaEmbedCode"]').each( function () {
				$(this).remove();
			});
		}
	});

    $(".aip-left-side-linkset li").click(function() {
        if ($(this).find("a").hasClass("aip-externaltab")) {
            return true;
        } else {
            if ($("#aip-linked-content-parts").size() > 0) {
                var idName = $(this).attr('id');
                $("#aip-linked-content-parts").find(".aip-linked-content-part").each(function(){
                    if ($(this).hasClass(idName)) {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
                return false;
            } else {
                return true;
            }
        }
    });
    
    // Allow users to define external links
    // temporarily adding the email this link to this function until we can get dialog up
    $(".aip-user-externallink, span.emailtext a").live("click", function() {
        var target = $(this).attr("href");
        window.open(target);
        return false;
    });
    
    return false;

});
