/**
 * Fetches reference matches using an AJAX call
 *
 * @author G M Brain
 * 
 * @param {itemId} The id of the item
 * @param {mode}   The mode of the call (either "ref" or "fulltext"
 * 
 */
function fetchReferenceMatches(itemId, mode) {

    var ctx = $("#hiddenContext").text();
    var matchesUrl = ctx + "/references/matchedRefsForItem.action?itemId=" + itemId;
    
    $.getJSON(matchesUrl, function(response) {
        var tmp = "";
        if (response !== null) {
            //console.log("Response received...\n\n" + JSON.stringify(response, null, ' ') + "\n\n");
            var mLen = response.referenceItems.length;
            for (var loop = 0; loop < mLen; loop++) {
                var aRef = response.referenceItems[loop];
                if (mode === "ref") {
                    tmp = "#ref-" + aRef.id;
                } else {
                    tmp = "#" + aRef.id;
                }
                var target = $(tmp);
                if (target.size() > 0) {
                    var newLinkHtml = "<span class='refmatch'>";
                    var matches = aRef.matches.length;
                    for (var mloop = 0; mloop < matches; mloop++) {
                        var match = aRef.matches[mloop];
                        if (match.thirdParty.name !== 'CrossRef matcher') {
                            newLinkHtml += " [ <a href='" + match.linkUri + 
                                          "' class='externallink' rel='external' title='Link to external reference'>" + match.thirdParty.name +  
                                          "</a>]";
                        }
                    }
                    newLinkHtml += "</span>";
                    target.append(newLinkHtml);
                }
            }
        } 
    });

}

$(document).ready(function() {
    
    var itemWebId = $("#itemWebIdForRefs").text();

    fetchReferenceMatches(itemWebId, "ref");
});
